[uClibc-cvs] CVS uClibc++/tests/testoutput

CVS User gkajmowi gkajmowi at codepoet.org
Sat Jan 8 17:49:59 UTC 2005


Update of /var/cvs/uClibc++/tests/testoutput
In directory nail:/tmp/cvs-serv32356/tests/testoutput

Modified Files:
	Makefile runtests.sh 
Added Files:
	fstreamtest.good 
Log Message:
Fix fstream opening to use proper bitwise operators.
Fix fstream to check opening of file buffer and set failbit if need be.

--- /var/cvs/uClibc++/tests/testoutput/Makefile	2004/12/23 16:06:50	1.1
+++ /var/cvs/uClibc++/tests/testoutput/Makefile	2005/01/08 17:49:56	1.2
@@ -6,6 +6,7 @@
 
 clean:
 	rm -f *.test
+	rm -f *.out
 
 test:
 	./runtests.sh
--- /var/cvs/uClibc++/tests/testoutput/runtests.sh	2004/12/23 16:06:50	1.1
+++ /var/cvs/uClibc++/tests/testoutput/runtests.sh	2005/01/08 17:49:56	1.2
@@ -158,6 +158,19 @@
 fi
 
 
+#Test of fstreamtest
+
+LD_LIBRARY_PATH="../../src" ../fstreamtest > fstreamtest.test
+cmp fstreamtest.good fstreamtest.test
+if [ "$?" -eq "1" ]
+then
+	echo "fstreamtest test      FAILED"
+	exit 1;
+else
+	echo "fstreamtest test      OK"
+fi
+
+
 
 #Test of bitsettest
 



More information about the uClibc-cvs mailing list